From: Sophie Brun <sophie@ouaza.com>
Date: Tue, 15 Jun 2021 15:56:51 +0200
Subject: Inject missing flags

Build with CFLAGS, LDFLAGS and CPPFLAGS from dpkg-buildflags
Last-Update: 2021-06-15
---
 Makefile | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/Makefile b/Makefile
index c5b4b22..a93fbb7 100644
--- a/Makefile
+++ b/Makefile
@@ -1,11 +1,11 @@
 CC = gcc
-CFLAGS = -Wall
-LDFLAGS = -lpcap
+CFLAGS += -Wall
+LDFLAGS += -lpcap
 
 all:
-	$(CC) $(CFLAGS) $(LDFLAGS) -o hexinject hexinject.c
-	$(CC) $(CFLAGS) $(LDFLAGS) -o prettypacket prettypacket.c
-	$(CC) $(CFLAGS) $(LDFLAGS) -o hex2raw hex2raw.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o hexinject hexinject.c $(LDFLAGS)
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o prettypacket prettypacket.c $(LDFLAGS)
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o hex2raw hex2raw.c $(LDFLAGS)
 
 clean:
 	rm -f hexinject prettypacket hex2raw *~
